namespace KlassenGenerisch
{
    internal class Land(string na, string hs) : IEquatable<Land?>
    {
        private readonly string landesname = na;
        private readonly string hauptstadt = hs;

        public bool Equals(Land? x) =>
            landesname == x?.landesname && hauptstadt == x.hauptstadt;

        public override string ToString() =>
            $"{landesname}/{hauptstadt}";

        public override bool Equals(object? o)
        {
            return true;
        }

        public override int GetHashCode()
        {
            return 0;
        }
    }
}
